import 'dart:ui';

import 'package:flutter/material.dart';

import '../base/app_colors_base.dart';

class LightTheme extends AppColorsBase {
  @override
  Color get primary => const Color(0xff615fff);

  @override
  Color get textPrimary => const Color(0xff222932);

  @override
  Color get textSecondary => const Color(0xffA6B0BE);

  @override
  Color get textTertiary => const Color(0xffC7CDD5);

  @override
  Color get success => const Color(0xff00D4B5);

  @override
  Color get warning => const Color(0xffFF9200);

  @override
  Color get info => const Color(0xFFEEEEEE);

  @override
  Color get danger => const Color(0xffFF4900);

  @override
  Color get surfaceContainerLowest => Color(0xffE0E0E0);

  @override
  Color get surfaceContainerLow => Color(0xffF0F0F0);

  @override
  Color get surfaceContainer =>  Color(0xfff7f9fa);

  @override
  Color get surfaceContainerHigh => Color(0xffFFFFFF);

  @override
  Color get shadow => const Color.fromRGBO(0, 0, 0, 0.1);
}
